# Generated by Django 4.1.6 on 2023-02-22 19:55

import appform.models
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Articles",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "number",
                    models.CharField(
                        default=appform.models.func,
                        max_length=20,
                        unique=True,
                        verbose_name="Номер заявки",
                    ),
                ),
                (
                    "mail",
                    models.EmailField(max_length=100, verbose_name="Электронная почта"),
                ),
                ("name", models.CharField(max_length=50, verbose_name="ФИО")),
                (
                    "op",
                    models.CharField(
                        choices=[
                            ("ИВТ", "ИВТ"),
                            ("ИТСС", "ИТСС"),
                            ("КБ", "КБ"),
                            ("ПМ", "ПМ"),
                            ("ИБ", "ИБ"),
                            ("Другое", "Другое"),
                        ],
                        max_length=6,
                        verbose_name="ОП",
                    ),
                ),
                (
                    "course",
                    models.CharField(
                        choices=[
                            ("1 курс", "1 курс"),
                            ("2 курс", "2 курс"),
                            ("3 курс", "3 курс"),
                            ("4 курс", "4 курс"),
                            ("1 курс (магистратура)", "1 курс (магистратура)"),
                            ("2 курс (магистратура)", "2 курс (магистратура)"),
                            ("Аспирантура", "Аспирантура"),
                            ("Сотрудник", "Сотрудник"),
                        ],
                        max_length=25,
                        verbose_name="Курс",
                    ),
                ),
                (
                    "project_name",
                    models.CharField(
                        max_length=50, verbose_name="Название проекта или КР/ВКР"
                    ),
                ),
                (
                    "teach_name",
                    models.CharField(
                        max_length=50, verbose_name="ФИО Научного руководителя"
                    ),
                ),
                ("phone", models.CharField(max_length=12, verbose_name="Телефон")),
                (
                    "dmodel",
                    models.FileField(upload_to="3dmodels/", verbose_name="3D модель"),
                ),
                (
                    "note",
                    models.FileField(
                        upload_to="notes/", verbose_name="Скан служебной записки"
                    ),
                ),
                (
                    "comment",
                    models.CharField(
                        blank=True, max_length=500, verbose_name="Комментарий к заявке"
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        blank=True,
                        choices=[
                            ("На рассмотрении", "На рассмотрении"),
                            ("В обработке", "В обработке"),
                            ("В работе", "В работе"),
                            ("Ожидает получения", "Ожидает получения"),
                            ("Отклонен", "Отклонен"),
                            ("Выполнен", "Выполнен"),
                        ],
                        default="На рассмотрении",
                        max_length=30,
                        verbose_name="Статус заказа",
                    ),
                ),
            ],
            options={"verbose_name": "Заявку", "verbose_name_plural": "Заявки",},
        ),
    ]
